Cyberduck Mountain Duck CLI

#7915 closed defect (worksforme)

Transfer consistently stops at around 866kb

Reported by: vivekag Owned by: dkocher
Priority: high Milestone: 4.4.5
Component: s3 Version: 4.4.4
Severity: major Keywords: windows 7
Cc: Architecture:
Platform: Windows 7

Description

Installed 4.4.4 on a windows 7 machine yesterday (and subsequently re-installed on getting an error also). Connection to S3 goes through smoothly, but on trying to transfer a file, the transfer consistently stops at around 866kb

Change History (13)

comment:1 Changed on Apr 29, 2014 at 11:04:11 AM by vivekag

  • Component changed from core to s3
  • Owner set to dkocher

comment:2 Changed on Apr 29, 2014 at 11:51:36 AM by dkocher

Can you please post the transcript from the log drawer (⌘-L) of the Transfers window.

comment:3 Changed on Apr 29, 2014 at 11:51:54 AM by dkocher

Please post the error message displayed when the transfer stops.

comment:4 Changed on Apr 29, 2014 at 11:52:09 AM by dkocher

  • Summary changed from Unable to Transfer in Windows 7 to Transfer consistently stops at around 866kb

comment:5 Changed on Apr 30, 2014 at 4:05:17 PM by vivekag

I see this under history, but no other error message as such

The transfer stops at 180.2KB currently

GET /?delimiter=%2F&max-keys=1000&prefix HTTP/1.1
Date: Wed, 30 Apr 2014 16:01:49 GMT
Authorization: AWS --=
Host: indian-office.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (14505) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: [XXXXXX]
x-amz-request-id: 99A8971D17BCB523
Date: Wed, 30 Apr 2014 16:01:43 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?versioning HTTP/1.1
Date: Wed, 30 Apr 2014 16:01:50 GMT
Authorization: AWS -:-=
Host: indian-office.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (14505) (Windows 7/6.1) (x86)
HTTP/1.1 403 Forbidden
x-amz-request-id: 4B33F9A0FB8BE1EC
x-amz-id-2: [XXXXXX]
Content-Type: application/xml
Transfer-Encoding: chunked
Date: Wed, 30 Apr 2014 16:01:42 GMT
Server: AmazonS3
Last edited on May 9, 2014 at 8:17:40 AM by dkocher (previous) (diff)

comment:6 Changed on May 9, 2014 at 2:07:23 PM by dkocher

Do you get an error message displayed?

comment:7 Changed on May 10, 2014 at 10:45:03 AM by vivekag

No, no error message at all - the transfer stops abruptly and nothing else happens. Each time i re-start the transfer the same thing happens again

comment:8 Changed on May 15, 2014 at 9:36:10 AM by dkocher

Can you reproduce this issue with the latest snapshot build available?

comment:9 Changed on May 15, 2014 at 9:36:17 AM by dkocher

  • Milestone set to 4.4.5

comment:10 Changed on May 15, 2014 at 11:09:19 AM by dkocher

Reading from the transcript above I still suspect a permission issue for your user to upload to the bucket. The user does also not have permission to read versioning configuration as seen in the 403 Forbidden reply to GET /?versioning HTTP/1.1. I would expect that you get an Upload Failed. Access Denied. Please contact your web hosting service provider for assistance. error message.

comment:11 Changed on May 15, 2014 at 11:32:53 AM by dkocher

Fixed wrong progress report in r14629.

comment:12 Changed on May 15, 2014 at 11:33:01 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

comment:13 Changed on May 23, 2014 at 10:18:45 AM by vivekag

Hi

Same error using the beta build. Permission has been granted and currently the 2 test results are,

  1. Uploading a single file of 2.2 MB
  • This uploaded properly
  1. Uploading multiple folders at the same time
  • transfer stops now at around 396 kb
Note: See TracTickets for help on using tickets.